Package org.apache.lucene.queryparser.flexible.core.parser

# Enum Class EscapeQuerySyntax.Type

java.lang.Object
java.lang.Enum<EscapeQuerySyntax.Type>
org.apache.lucene.queryparser.flexible.core.parser.EscapeQuerySyntax.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<EscapeQuerySyntax.Type>`, `Constable`

Enclosing interface:
  `EscapeQuerySyntax`

public static enum EscapeQuerySyntax.Type extends Enum<EscapeQuerySyntax.Type>
Type of escaping: String for escaping syntax, NORMAL for escaping reserved words (like AND) in terms

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NORMAL`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EscapeQuerySyntax.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EscapeQuerySyntax.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final EscapeQuerySyntax.Type STRING

  - ### NORMAL

    public static final EscapeQuerySyntax.Type NORMAL

- ## Method Details

  - ### values

    public static EscapeQuerySyntax.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EscapeQuerySyntax.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null